explain_setgid_or_die(3)

NAME
explain_setgid_or_die - set group identity and report errors

SYNOPSIS
#include <libexplain/setgid.h>

void explain_setgid_or_die(gid_t gid);
int explain_setgid_on_error(gid_t gid);

DESCRIPTION
The explain_setgid_or_die function is used to call the setgid(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_setgid(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_setgid_on_error function is used to call the setgid(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_setgid(3) function, but still returns to the caller.

gid The gid, exactly as to be passed to the setgid(2) system call.

RETURN VALUE
The explain_setgid_or_die function only returns on success, see setgid(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_setgid_on_error function always returns the value return by the wrapped setgid(2) system call.

EXAMPLE
The explain_setgid_or_die function is intended to be used in a fashion similar to the following example:
    explain_setgid_or_die(gid);

SEE ALSO

setgid(2)
    set group identity

explain_setgid(3)
    explain setgid(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2012 Peter Miller